Bug 1982546 - Make inscript2 engines rank higher than inscript engines
Summary: Make inscript2 engines rank higher than inscript engines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-m17n
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-15 07:19 UTC by Mike FABIAN
Modified: 2021-07-25 01:05 UTC (History)
6 users (show)

Fixed In Version: ibus-m17n-1.4.6-1.fc35 ibus-m17n-1.4.6-1.fc34 ibus-m17n-1.4.6-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-16 08:59:50 UTC
Type: Bug


Attachments (Terms of Use)
ibus-setup-before-increasing-rank-of-inscript2.png (32.85 KB, image/png)
2021-07-16 07:27 UTC, Mike FABIAN
no flags Details
ibus-setup-after-increasing-rank-of-inscript2.png (33.03 KB, image/png)
2021-07-16 07:28 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2021-07-15 07:19:43 UTC
Because inscript2 will be the new default, see:

https://fedoraproject.org/wiki/Changes/Enhanced_Inscript_as_default_Indic_IM

Comment 1 Mike FABIAN 2021-07-15 10:11:12 UTC
In the output of 

    /usr/libexec/ibus-engine-m17n --xml

currently the inscript engines have rank 2 and the inscript engines have only rank 1.

Would it be OK to raise the rank of all inscript2 engines to rank 3?

Comment 2 Mike FABIAN 2021-07-16 07:23:07 UTC
mfabian@taka:/local/mfabian/src/ibus-m17n (release-candidate-1.4.6)
$ git show f7687774524e942035f21fff6af155242e210088
commit f7687774524e942035f21fff6af155242e210088
Author: Mike FABIAN <mfabian>
Date:   Thu Jul 15 16:36:18 2021 +0200

    Make inscript2 engines rank higher than inscript engines
    
    Resolves: rhbz#1982546
    https://bugzilla.redhat.com/show_bug.cgi?id=1982546

diff --git a/src/default.xml b/src/default.xml
index b8ab8e0..5a53afd 100644
--- a/src/default.xml
+++ b/src/default.xml
@@ -178,6 +178,12 @@
                <name>m17n:te:inscript</name>
                <rank>2</rank>
        </engine>
+       <!-- Assign higher rank to all inscript2 engines since
+             they should be preferred over the inscript engines. -->
+       <engine>
+               <name>m17n:*:inscript2</name>
+               <rank>3</rank>
+       </engine>
        <!-- Assign lower rank to Sinhala Samanala since it is a
             non-keyboard input method in Sinhala. -->
        <engine>

Comment 3 Mike FABIAN 2021-07-16 07:27:01 UTC
Created attachment 1802267 [details]
ibus-setup-before-increasing-rank-of-inscript2.png

Screenshot of ibus-setup adding Hindi input methods *before* increasing the rank of inscript2 input methods.

Comment 4 Mike FABIAN 2021-07-16 07:28:07 UTC
Created attachment 1802268 [details]
ibus-setup-after-increasing-rank-of-inscript2.png

Screenshot of ibus-setup adding Hindi input methods *after* increasing the rank of inscript2 input methods.

Comment 5 Fedora Update System 2021-07-16 08:48:54 UTC
FEDORA-2021-eef794b811 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-eef794b811

Comment 6 Fedora Update System 2021-07-16 08:49:13 UTC
FEDORA-2021-0996be6605 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0996be6605

Comment 7 Fedora Update System 2021-07-16 08:56:50 UTC
FEDORA-2021-254d841b11 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-254d841b11

Comment 8 Fedora Update System 2021-07-16 08:59:50 UTC
FEDORA-2021-254d841b11 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-07-17 01:07:08 UTC
FEDORA-2021-0996be6605 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0996be6605`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0996be6605

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-07-17 01:12:02 UTC
FEDORA-2021-eef794b811 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-eef794b811`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-eef794b811

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-07-25 01:00:45 UTC
FEDORA-2021-0996be6605 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-07-25 01:05:06 UTC
FEDORA-2021-eef794b811 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.